%define name xrestop
%define version 0.2
%define release 1



Summary: X Resource Monitor
Name: %name
Version: %version
Release: %release
License: GPL
Group: Development/Other
URL: http://www.freedesktop.org/Software/xrestop
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildRequires: XFree86-devel XFree86-static-devel
#BuildRequires: libxfree86-static-devel
BuildRequires: XFree86-devel
Requires: XFree86 >= 4.3

%description
A utility to monitor the usage of resources within the X Server, and
display them in a manner similar to top.

%prep
%setup -q

%build
%configure
%__make SUBDIRS=

%install
rm -rf "$RPM_BUILD_ROOT"
%__make SUBDIRS= DESTDIR="$RPM_BUILD_ROOT" install
%__make -C doc SUBDIRS= DESTDIR="$RPM_BUILD_ROOT" install
#install -m 755 -d %buildroot%{_menudir}
#cat << EOF > %buildroot/%{_menudir}/%{name}
#?package(%{name}):command="%{_bindir}/%{name}"\
#needs="x11"\
#section="Amusement/Other"\
#title="Xrestop"\
#longtitle="Analyse X ressources"
#EOF



%clean
rm -rf "$RPM_BUILD_ROOT"


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
#%_menudir/%{name}
%_mandir/man1/%{name}*
%doc


%changelog
* Thu Jan 15 2004 Peter Hanecak <hanecak@megaloman.sk> 0.2-1
- adapted to Doors Linux

* Sat Jan  3 2004 Blindauer Emmanuel <manu@agat.net> 0.2-3mdk
- Tag Packager in .spec had predecence on .rpmmacros, so removed.

* Sat Jan  3 2004 Blindauer Emmanuel <manu@agat.net> 0.2-2mdk
- removed the antispam email as scripts need it.

* Wed Dec 31 2003 Blindauer Emmanuel <manu (at) agat.net> 0.2-1mdk
- version for mdk, some more abstraction.
- BuildRequires, man page, menu entry.

* Wed Dec 24 2003  <suckfish@ihug.co.nz> 
- Initial build.


